Skip to main content
`Ctrl`+`K`

# PEPGetBasis

Gets the type of polynomial basis from the `PEP` object.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPGetBasis(PEP pep,PEPBasis *basis)

Not Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Output Parameter

- basis - the polynomial basis

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSetBasis()`, `PEPBasis`

## Level

intermediate

## Location

src/pep/interface/pepopts.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages